<?php
require_once($_SERVER["DOCUMENT_ROOT"]."/lgwebapp.inc");
require_once($path_common."/sitepage.inc");
require_once($path_common."/module.inc");

class MultiSelectPage extends SitePage
{
   public function __construct()
   {
      parent::__construct();
   }

   public function get_css_linked()
   {
      return array
      (
         "sitewide.css",
         "multisel.css"
      );
   }

   public function get_header()
   {
      return "";
   }

   public function get_footer()
   {
      return "";
   }

   public function get_content()
   {
      $mod = new NewCarSelect($this);
      $multisel = $mod->create();

      return <<<EOD
$multisel

EOD;
   }
}

class NewCarSelect extends Module
{
   public function __construct($page)
   {
      parent::__construct($page);
   }

   public function get_js_linked()
   {
      return array
      (
         "yahoo-dom-event.js",
         "json_parse.js",
         "connection.js",
         "model-view-cont.js"
      );
   }

   public function get_js()
   {
      global $path_ajax;

      return <<<EOD
// Set up the name of the service for populating the chained selections.
var proc = "{$path_ajax}/multisel/makemodtrim.php";

// Create the make selection list.
var makeSelect = new MVC.MultiSelect
(
   "Select Make",
   proc + "?req=mk",
   "makesel",
   "mk"
);

// Chain the model selection list.
var modelSelect = new MVC.MultiSelect
(
   "Select Model",
   proc + "?req=md",
   "modelsel",
   "md",
   makeSelect
);

// Chain the trim selection list.
var trimSelect = new MVC.MultiSelect
(
   "Select Trim",
   proc + "?req=tr",
   "trimsel",
   "tr",
   modelSelect
);

// Once selection lists in the chain have been created, initialize them.
makeSelect.init();
modelSelect.init();
trimSelect.init();

EOD;
   }

   public function get_content()
   {
      return <<<EOD
<div id="nwcsel">
   <form action="#" method="GET">
      <div id="makesel">
      </div>
      <div id="modelsel">
      </div>
      <div id="trimsel">
      </div>
      <input class="nwcbtnsub" type="submit" value="Go" />
   </form>
</div>

EOD;
   }
}
?>
